using ESpace.DALibrary.SqlServer;

namespace AVC.DataEntity
{
	public class Affiche : DataEntityBase
	{
		public Affiche()
		{
			base.InitMetaData();
		}

		private System.Int32 _AfficheID;
		public System.Int32 AfficheID
		{
			get
			{
				return this._AfficheID;
			}
			set
			{
				this._AfficheID = value;
				IsChanged = true;
			}
		}

		private System.String _Caption;
		public System.String Caption
		{
			get
			{
				return this._Caption;
			}
			set
			{
				this._Caption = value;
				IsChanged = true;
			}
		}

		private System.String _AfficheContent;
		public System.String AfficheContent
		{
			get
			{
				return this._AfficheContent;
			}
			set
			{
				this._AfficheContent = value;
				IsChanged = true;
			}
		}

		private System.DateTime _IssuanceDate;
		public System.DateTime IssuanceDate
		{
			get
			{
				return this._IssuanceDate;
			}
			set
			{
				this._IssuanceDate = value;
				IsChanged = true;
			}
		}

		private System.String _CreateUser;
		public System.String CreateUser
		{
			get
			{
				return this._CreateUser;
			}
			set
			{
				this._CreateUser = value;
				IsChanged = true;
			}
		}

		private System.String _UpdateUser;
		public System.String UpdateUser
		{
			get
			{
				return this._UpdateUser;
			}
			set
			{
				this._UpdateUser = value;
				IsChanged = true;
			}
		}

		private System.DateTime _UpdateDateTime;
		public System.DateTime UpdateDateTime
		{
			get
			{
				return this._UpdateDateTime;
			}
			set
			{
				this._UpdateDateTime = value;
				IsChanged = true;
			}
		}

		private System.Int16 _Flag;
		public System.Int16 Flag
		{
			get
			{
				return this._Flag;
			}
			set
			{
				this._Flag = value;
				IsChanged = true;
			}
		}

		private System.DateTime _FlagDateTime;
		public System.DateTime FlagDateTime
		{
			get
			{
				return this._FlagDateTime;
			}
			set
			{
				this._FlagDateTime = value;
				IsChanged = true;
			}
		}
	}
}